Bug 861993 - Include RAM value in certificates
Include RAM value in certificates
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Stead
Katello QA List
:
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2012-10-01 10:32 EDT by Amanda Carter
Modified: 2015-05-14 10:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-29 15:05:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amanda Carter 2012-10-01 10:32:51 EDT
Customer Data will be adding a new sku attribute for GB RAM. When it's added and IT has included it on the pool, it should be included in a certificate so that valid subscription checking can be based on this value. I'm guessing you guys will just need the value from the pool to pull that in, but let me know if you need anything else.

I've listed this in 6.4 as wishful thinking I know. It should ideally go out with any RAM support that's completed.
Comment 1 Michael Stead 2012-11-27 15:53:12 EST
This has been added as of:

master branch: cff8baa350a14c0730b84ce76d8d7401925e1b57
Comment 2 Shwetha Kallesh 2013-04-22 05:27:53 EDT
Verified!!

[root@localhost entitlement]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.4-1
subscription-manager: 1.8.6-1.el7
python-rhsm: 1.8.9-1.el7

root@localhost entitlement]# subscription-manager attach --pool 8ac6818a3e21268f013e21278578052c
Successfully attached a subscription for: RAM Limiting Package (2GB stackable)
[root@localhost entitlement]# ll
total 8
-rw-------. 1 root root 1675 Apr 22 14:56 8973011009268636944-key.pem
-rw-r--r--. 1 root root 2472 Apr 22 14:56 8973011009268636944.pem
[root@localhost entitlement]# rct cat-cert 8973011009268636944.pem

+-------------------------------------------+
	Entitlement Certificate
+-------------------------------------------+

Certificate:
	Path: 8973011009268636944.pem
	Version: 3.2
	Serial: 8973011009268636944
	Start Date: 2013-04-19 00:00:00+00:00
	End Date: 2014-04-19 00:00:00+00:00
	Pool ID: 8ac6818a3e21268f013e21278578052c

Subject:
	CN: 8ac6818a3e21268f013e2f75f1254260

Product:
	ID: 801
	Name: RAM Limiting Product
	Version: 1.0
	Arch: x86_64
	Tags: 

Order:
	Name: RAM Limiting Package (2GB stackable)
	Number: order-8675309
	SKU: ram-2gb-stackable
	Contract: 151
	Account: 12331131231
	Service Level: 
	Service Type: 
	Quantity: 10
	Quantity Used: 1
	Socket Limit: 
	RAM Limit: 2
	Virt Limit: 
	Virt Only: False
	Subscription: 
	Stacking ID: ram-stackable
	Warning Period: 0
	Provides Management: False
Comment 3 Bryan Kearney 2014-09-29 15:05:37 EDT
These bugs were fixed during 7.0 but not moved to CLOSED. They have been delivered

Note You need to log in before you can comment on or make changes to this bug.